Observations on the experience and nature of Large Interim Meetings
Joel Jaeggli
Zynga
675 east Middlefield rd
Mountain View
CA
94043
US
+15415134095
jjaeggli@zynga.com
Jari Arkko
Ericsson
Jorvas
02420
Finland
jari.arkko@piuha.net
January 2013
General
Internet Engineering Task Force
interim meeting experiences
Planning, particpipation and conclusions from the experience of participating in the IETF LIM activity on september 29th 2012.

Introduction
The genesis of this draft was the experience of planning and participating in the so called IETF Large Interim Meeting (LIM) held adjacent to the fall RIPE meeting on the 29th of September 2012. Three working groups met, OPSEC, V6OPS and SIDR. It is intended that the draft cover planning, the operation of the meeting, and an attempt at some conclusions based on the experience.
The fact that the draft represents the vantage point of a limited number of persons and a singular event at this time necessarily limits the utility and aplicability of the draft and undoubtedly as result, some key elements of the planning and motivation will be missed. The Large Interim Meeting is the product of efforts over a number of years by multiple parties including the ISOC Board, IETF management (Chair, IESG, IAB, IAOC, IAD) working group chairs and probably others. To the extent that this draft can be made better through the input of others, The authors would invite contribution, criticism and future dialog on how we meet outside the scheduled IETF meetings.
The Sept 29th LIM was the most recent attempt that we are aware of an interim meeting scheduled by IETF management for the purposes of accumulating interim meetings in a common location. The IETF's traditional model for interim meetings has been that virtual or physical interim meetins are scheduled by working-group participants in conjunction with chairs and coordinating ADs [IESGinterim]. It is not the first attempt at such meeting. It's status therefore an experiment is worth bearing mind in understanding the rest of the text.

date and location
The LIM was scheduled to coincide with the end of RIPE 65 and Occurred on Saturday Sept 29th 2012. Ripe 65 was held at the Hotel Okura Amseterdam from September 24th-28th. It is our understanding that coordination with the RIPE program committee occured only After IETF 84 (an IAB member member also happens to serve on the RIPE program committee)

Planning
It is, our understanding that discussion of the possibility of a LIM style meeting within this time window occurred in early 2011 if not before. The v6ops chairs were asked at various times to consider particpation in such a meeting in other potential locations. The discussion related to this interim meeting commenced in June. The stated rational for targeting v6ops involvement in a large interim was the volume of work that we process during and between meetings. For reasons that we will try and explore the expectation of a volume of work to be processed was not borne out by the agenda and meeting itself.
A previous proposal for a LIM style meeting to have met in Malta in 2009 attracted a sponsor (Google) but was ultimatetly cancled on the basis of expected participation (60 particpants) and remaining time constraints. The Malta LIM was to have included the RAI area plus SOFTWIRE and BEHAVE.

Discussion leading up to LIM
Some questions existed in the planning phase as to the nature of the logisitical support provided by the secretatit for the meeting as well as, remote participation, and the actual timinng of the meeting. Unlike a traditional interim the responsibility for satisfying these details was for better or worse in the hands of the secretariat, which meant a reduced workload for the chairs but it also left some details undecided until they could be announced, a hotel contract for the meeting rooms wasn't completed until after the 4 week window required for announcing and interim meeting had passed

Plannning for meeting and announcement
A show of hands, as well as subsequent mailing list followup were done to gauge v6ops interest in participation in an interim meeting. Roughly 50 participants, mostly active ones indicated significant interest in an interim collocated with RIPE 65 which we deemed sufficient to proceed. Superficially, only a fraction of the v6ops attendees are represented by the segment of the group indicating interest. When the numbers are mapped against active participants and draft authors, interested participants in the interim likely represent a bigger proportion of that group.
Two of the three scheduled meetings were given 4 hour windows, the third SIDR (which routinely has interim meetings) had effectivetly the entire day.

Draft Deadlines
Immediately after IETF 84, the working group chairs of v6ops proposed an interim draft deadline 2 weeks out from the interim meeting ( Saturday the 15th of Sept). This was to be the basis for the acceptance of revised or new drafts onto the agenda. The goal of the deadline was to be able to identify drafts which had changed and which had issues to be addressed prior to any additional action.

Meeting
Two OPS area working groups met, OPSEC and V6OPS, Effectively one after the other albiet seperated by lunch. The SIDR working group met in parallel.

Running
Both OPS-area meetings came in substantially below their allotted time. V6OPS was allocated four hours and completed in two. SIDR broke for lunch, returned, and finished early, however it used a substantially higher percentage of the allocated time. Possibly because it was a Saturday remote participation was limited but not non-existant
The observation of one participant in v6ops (Jari Arkko) was that they came prepared to discuss topics, for which the document authors were not present. Looking at what we were able to schedule for the agenda, appart from the discussion of the state of drafts in various states of processing and the attention that they required, the scheduled presentations (3) were associated with drafts for which the authors were requesting feedback.

Remote Participation
>Remote participation was supported by volunteers from meetecho using their own application. Hotel okura wired network was provided for the slide-sharing computer and wireless infrastrucuture was used to support the meeting and in-room participation in the meetecho chat. An outage of the hotel wireless network was observed during the OPSEC meeting with the result that local participation in the meetecho session would have been interupted for about 10 minutes, had there been any to speak of. Philip Mathews reports having attended the v6ops meeting remotely.

Participants
Interim Meeting registration ended up being about 40 participants, 2 days prior to the meeting that number was 23, provisions had been made for around 100 attendees.

Observations and Conclusions
Despite misgivings with V6OPS as patient zero for the large interim meeting concept, once committed we endeavored to make the meeting work for the participants that took the time out of their weekend to attend, or as was my case, traveled specifically for the Interim meeting. As an experiment we think a lot of things are worth doing once and hope that some lessons can be derived from the experience that have value for future interims.

Incentives for participation
An observation that we would make about the V6OPS interim submission deadline (and what we believe to be relative failure) is that it appears that authors who are not planning to attend a meeting, are less inclined to revise a document in support of a meeting they are not attending. The corollary, is that authors planning on a attending a meeting will rev their documents, or possibly that a revised document is justification to attend (This applies to IETF meetings in general).
While this may be a tautology, Interim meetings probably are more successful when they appear necessary. SIDR clearly is a close knit group of people (even when they disagree) working hard on a design problem. The required time is due to the necessity of going over every issue to be addressed within a constrained temporal space. While the SIDR interim(s) may not be valid as the measurement of consensus they promote a common understanding of the problems and solution space among the key participants that ultimately will be the basis of any broader consensus.

Organization in conjunction with other events
The particular conjunction of the LIM and RIPE was proposed several months prior to coordination with the RIPE program committee. Given that the RIPE meeting traditionally ends on Friday with Lunch it is possible that tighter coordination with the RIPE organization could have coupled the event more directly (e.g. to friday afternoon). There is an implicit assumption on the part of the authors that tighter coordination with an operator meeting means ceding control over the program to a certain extent to fit within that framework.
The RIPE meeting is a week long like an IETF meeting, and if the goal of a conjoint interim is evangelism, cross pollination or outreach, (is it?) then fitting more directly into the program would probably be salubrious for both groups. As it stands, the bulk of the attendees in OPSEC and V6OPS were present to attend RIPE as well, or attended RIPE and stayed for the interim.
A specific suggestion provided by several RIPE participants was to leverage the post-RIPE friday afternoon as opposed to the following day in order to reduce the commitment required by RIPE participants who would otherwise have to remain an extra day and therefore travel on saturday. A common experience with many *NOG meetings and indeed with the IETF is ancillary meetings packing in either before or after a core meeting thereby increasing the overall cost (time,money,commitment) associated with the overall activity.

Implications for working groups/design teams of varying sizes
V6ops attendance at an IETF meeting is typically in excess of 200 attendees. An interim meeting that attracts 25 of those and limited remote participation is necessarily exclusionary by default if not deliberately. If useful work that advances drafts, gets done, is that exclusion a bad thing? The resulting meeting input would not be useful for measuring meaningful consensus. V6OPS got a new draft out of discussion that occurred during the interim meeting.
The history of interim meetings has illustrative examples of working groups or design teams, with numerus interim meetings (IP storage/NFSv4, Lemonade, 6lowpan, Behave SIDR etc) that demonstrate the utility of frequent physical or virtual interims. It is possible that there are properties (demands on immediacy, collaboration with other SDOs etc) that make some working groups or design teams more effective at utilizing interims than others.

Mobilizing ADs
Area Director's and IAB members were rather well represented at the LIM, While the attendance of both of the Ops and Mangement Directors was appreciated we are not sure that it's a good use of their time. In particular if the frequency of these events were fixed as some rate in the future, this represents an additional workload for which huge benefits do not appear likely to ensue. In the case of of colocation with a RIPE meeting, some of these participants were attending already. Jari Arkko observed, "I would probably not have made the trip just for RIPE this time (although I usually do travel to them), nor would I have attended just for the LIM itself."

Outreach
Some entities related to the IETF clearly have outreach and advocacy as part of the mission, Internet Society, IETF chair, Liaisons, edu-team and so forth. It is not clear to us, that beyond the scope of chartered working group documents that end up as part of the RFC series, that working group activities including meetings are well suited for use as an outreach mechanism. The IETF meeting as a whole, which is certainly an opportunity for advancing the work of the respective working groups is also an opportunity for cross pollination, for the collegial building of consensus that advances joint efforts, and to the extent that mini-IETF's do not appear to support those opportunities relative to the three times annually meeting, the utility of LIMs as outreach tools lacks some degree of legitimacy.

Conclusions
It's not easy to draw strong conclusions from a single experiment. Perhaps we have and extensive control group in the form of working groups that did not avail themselves of the virtual interim. Some thoughts follow.
Mobilizing IETF secretariat and meeting support resources in support of interim meetings that ultimately are lightly attended does not, on the face of it seem like it works on a cost recovery basis. Smaller single working-group interims have experienced substantial difficulties arranging technology support and remote participation for interim meetings in some locations so in that respect some central planning and coordination does pay off.
The requirements for an interim meeting are typically modest, aggregating them makes them less so.
Expectations for the level of availability that an IETF network provides are expensive to deliver in the case of a smaller more ephemeral meeting.
In cases where interim meetings leverage resources that have higher availability/performance expectations such as the corporate offices of some of the participants, the results may be substantially better than what we can expect to be delivered by a hotel network contractor.
Interim meetings are typically organized around short term goals, the longer term planning needs associated with participants budgeting for travel and making time commitments are incompatible with the short term nature of current interim planning. Immediacy appears to trump other considerations for working groups and desgin teams that meet in signular interims.
The experience of OPSEC and V6OPS was not I think a huge success, it is likely that some of the rational discussed in the "incentives for participation" section plays a role in the ability of OPS working groups to invite work to be revised on the basis of interim deadlines. By all accounts the SIDR working group had a successful productive meeting. It is also likely in our understanding that SIDR would have met in the absence of the LIM with similar results.

Acknowledgements
The authors would like to thank Ron Bonica, Fred Baker, Randy Bush, Spencer Dawkins Philip Matthews and Simon Pietro Romano for offering constructive input or feedback on this draft.

IANA Considerations
This memo Makes no request of IANA.

Security Considerations
No security consequences are envisioned as a proeduct of this draft.

Informative References
[IESGinterim]

IESG Guidance on Interim Meetings, Conference Calls and Jabber Sessions
IESG
2008